Bug 310502

Summary: Email addresses in the form "Test <test@test.tt>" are not displayed correctly
Product: telepathy Reporter: Daniele E. Domenichelli <ddomenichelli>
Component: text-ui-message-filtersAssignee: Telepathy Bugs <kde-telepathy-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: kde
Priority: NOR    
Version: 0.5.1   
Target Milestone: 0.6.0   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Daniele E. Domenichelli 2012-11-22 14:07:49 UTC
Email addresses in the form "Test <test@test.tt>" are not displayed correctly.
The ">" is escaped and changed to "&gt;", and the link includes the &.

We should fix the bug and definitely add a unit test for this case before closing this bug.
Comment 1 Lasath Fernando 2013-03-16 23:56:18 UTC
Okay, d_ed and I decided that we should make UrlFilter ignore emails for now. That would fix this bug and allow us to release 0.6.

At some later time, we should make a separate filter for emails that doesn't do this, and also maybe does some fancy stuff (like matching the contact in Nepomuk/Akonadi and embedding m0ar metadata).
Comment 2 Lasath Fernando 2013-03-17 00:28:29 UTC
Git commit a08d0c5759c036d35add9448e6887e3304da53fc by Lasath Fernando.
Committed on 17/03/2013 at 01:25.
Pushed by fernando into branch 'master'.

Make UrlFilter ignore emails

It screws them up anyway because of the '>' at the end. We'll make
a separate filter for emails that deals with them better later.

M  +8    -6    KTp/message-url-filter.cpp

http://commits.kde.org/telepathy-common-internals/a08d0c5759c036d35add9448e6887e3304da53fc